capture log close
set more off
program drop _all
macro drop _all
scalar drop _all
clear all


global root "C:\iPEHD"


use $root/ipehd_sje2008_master_1816_counties.dta, clear


/****************/
/* Table 2: OLS */
/****************/

global vieh_pc "vieh1816_pferde_pc vieh1816_fuellen_pc vieh1816_bullen_pc vieh1816_ochsen_pc vieh1816_kuehe_pc vieh1816_jungvieh_pc vieh1816_schaf_pc vieh1816_boecke_pc vieh1816_schweine_pc"
global vieh_pc_short "vieh1816_pferde_pc vieh1816_bullen_pc"

regress  f_edu1816_elem_8_14_f  f_rel1816_prot
regress  f_edu1816_elem_8_14_m  f_rel1816_prot

regress  f_edu1816_pubelem_f   f_rel1816_prot
regress  f_edu1816_pubelem_f   f_rel1816_prot  f_pop1816_8_14_f
regress  f_edu1816_pubelem_f   f_rel1816_prot  f_pop1816_8_14_f  lat_rad lon_rad latlon f_urban1816
regress  f_edu1816_pubelem_f   f_rel1816_prot  f_pop1816_8_14_f  lat_rad lon_rad latlon f_urban1816 $vieh_pc_short 
regress  f_edu1816_pubelem_f   f_rel1816_prot  f_pop1816_8_14_f  lat_rad lon_rad latlon f_urban1816 $vieh_pc_short edu1816_pubelem_sc_pc


/***************/
/* Table 3: IV */
/***************/
ivreg2 f_edu1816_pubelem_f  (f_rel1816_prot=kmwittenberg)  f_pop1816_8_14_f, first
ivreg2 f_edu1816_pubelem_f  (f_rel1816_prot=kmwittenberg)  f_pop1816_8_14_f  lat_rad lon_rad latlon f_urban1816, first
ivreg2 f_edu1816_pubelem_f  (f_rel1816_prot=kmwittenberg)  f_pop1816_8_14_f  lat_rad lon_rad latlon f_urban1816 $vieh_pc_short, first
ivreg2 f_edu1816_pubelem_f  (f_rel1816_prot=kmwittenberg)  f_pop1816_8_14_f  lat_rad lon_rad latlon f_urban1816 $vieh_pc_short edu1816_pubelem_sc_pc, first
    

/*******************************************************/
/* Table A.1: Descriptive Statistics for 1816 Counties */
/*******************************************************/

replace kmwittenberg = kmwittenberg * 100
foreach var in f_edu1816_pubelem_f f_rel1816_prot f_pop1816_8_14_f f_urban1816 {
  replace `var' = `var' * 100
}

summarize f_edu1816_pubelem_f f_rel1816_prot f_pop1816_8_14_f lat_rad lon_rad f_urban1816 $vieh_pc edu1816_pubelem_sc_pc kmwittenberg
