capture log close
set more off
program drop _all
macro drop _all
scalar drop _all
clear all


global root "C:\iPEHD"


use "$root/ipehd_sje2008_master_1816_towns.dta", clear

/***************************************************/
/* Table 4: The female enrollment gap, towns, 1816 */
/***************************************************/

summarize f_edu1816_elem_f    f_edu1816_midl_f  f_edu1816_pupil_f f_edu1816_pubelem_f  f_edu1816_pubmidl_f   f_edu1816_privelem_f f_edu1816_privmidl_f
summarize f_edu1816_elem_priv f_edu1816_midl_priv f_edu1816_elem_in_tot f_edu1816_midl_in_tot f_edu1816_upp_in_tot 


/************************/
/* Table 5: towns, 1816 */
/************************/

regress  f_edu1816_elem_f  f_rel1816_prot f_pop1816_8_14_f lat_rad lon_rad latlon f_bld_wall_mssv f_business f_loom f_trade 
ivreg2 f_edu1816_elem_f  (f_rel1816_prot=kmwittenberg)  f_pop1816_8_14_f lat_rad lon_rad latlon f_bld_wall_mssv f_business f_loom f_trade, first

regress  f_edu1816_sec_f   f_rel1816_prot f_pop1816_8_14_f lat_rad lon_rad latlon f_bld_wall_mssv f_business f_loom f_trade 
ivreg2 f_edu1816_sec_f  (f_rel1816_prot=kmwittenberg)  f_pop1816_8_14_f lat_rad lon_rad latlon f_bld_wall_mssv f_business f_loom f_trade, first


/****************************************************/
/* Table A.2: Descriptive Statistics for 1816 Towns */
/****************************************************/

replace kmwittenberg = kmwittenberg * 100
foreach var in f_edu1816_elem_f f_edu1816_sec_f f_rel1816_prot f_pop1816_8_14_f f_bld_wall_mssv {
  replace `var' = `var' * 100
}

summarize f_edu1816_elem_f f_edu1816_sec_f f_rel1816_prot f_pop1816_8_14_f lat_rad lon_rad f_bld_wall_mssv f_business f_loom f_trade kmwittenberg
